# eric7.Plugins.VcsPlugins.vcsGit.GitSubmodulesSyncDialog

Module implementing a dialog to enter submodule synchronization options.

### Global Attributes

None

### Classes

GitSubmodulesSyncDialog | Class implementing a dialog to enter submodule synchronization options.

### Functions

None

## GitSubmodulesSyncDialog

Class implementing a dialog to enter submodule synchronization options.

### Derived from

QDialog, Ui_GitSubmodulesSyncDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitSubmodulesSyncDialog | Constructor
getData | Public method to get the entered data.

### Static Methods

None

#### GitSubmodulesSyncDialog (Constructor)

GitSubmodulesSyncDialog(submodulePaths, parent=None)

Constructor

submodulePaths (list of str)
  list of submodule paths
parent (QWidget)
  reference to the parent widget

#### GitSubmodulesSyncDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing a list of selected submodules and a flag indicating a recursive operation

Return Type:
  tuple of (list of str, bool)

Up